# Bio.PDB.mmtf package

## Submodules

- Bio.PDB.mmtf.DefaultParser module
  - `StructureDecoder`
    - `StructureDecoder.__init__()`
    - `StructureDecoder.init_structure()`
    - `StructureDecoder.set_atom_info()`
    - `StructureDecoder.set_chain_info()`
    - `StructureDecoder.set_entity_info()`
    - `StructureDecoder.set_group_info()`
    - `StructureDecoder.set_model_info()`
    - `StructureDecoder.set_xtal_info()`
    - `StructureDecoder.set_header_info()`
    - `StructureDecoder.set_bio_assembly_trans()`
    - `StructureDecoder.finalize_structure()`
    - `StructureDecoder.set_group_bond()`
    - `StructureDecoder.set_inter_group_bond()`
    - `StructureDecoder.__firstlineno__`
    - `StructureDecoder.__static_attributes__`
- Bio.PDB.mmtf.mmtfio module
  - `MMTFIO`
    - `MMTFIO.__init__()`
    - `MMTFIO.save()`
    - `MMTFIO.__annotations__`
    - `MMTFIO.__firstlineno__`
    - `MMTFIO.__static_attributes__`

## Module contents

Support for loading 3D structures stored in MMTF files.

Bio.PDB.mmtf.get_from_decoded(decoder)

  Return structure from decoder.

class Bio.PDB.mmtf.MMTFParser

  Bases: `object`

  Class to get a Biopython structure from a URL or a filename.

  static get_structure_from_url(pdb_id)

    Get a structure from a URL - given a PDB id.

    Parameters:

      pdb_id – the input PDB id

    Returns:

      the structure

  static get_structure(file_path)

    Get a structure from a file - given a file path.

    Parameters:

      file_path – the input file path

    Returns:

      the structure

  __firstlineno__ = 30
  __static_attributes__ = ()

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub